import 'package:json_annotation/json_annotation.dart';
import 'package:krow/core/data/models/event/addon_model.dart';
import 'package:krow/core/data/models/event/business_contact_model.dart';

part 'business_model.g.dart';

@JsonSerializable(fieldRename: FieldRename.snake)
class BusinessModel {
  String? name;
  String? avatar;
  String? registration;
  List<AddonModel>? addons;
  BusinessContactModel? contact;

  BusinessModel({this.name, this.avatar, this.addons, this.registration, this.contact});

  factory BusinessModel.fromJson(Map<String, dynamic> json) {
    return _$BusinessModelFromJson(json);
  }

  Map<String, dynamic> toJson() => _$BusinessModelToJson(this);
}
